﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.menu-image {
    width: 50px;
    border: solid 1px;
    margin-top: 5px;
}

.img-100 {
    width: 100px;
}

.btn-item:not(:disabled):not(.disabled) {
    cursor: pointer;
}

.btn-item.btn-shadow {
    box-shadow: 0 0.5rem 1.125rem -0.5rem rgb(78 84 200 / 90%);
}

.btn-item {
    box-shadow: none;
    white-space: normal;
}


    .btn-item:not(:disabled):not(.disabled):active:focus, .btn-item:not(:disabled):not(.disabled).active:focus, .show > .btn-item.dropdown-toggle:focus {
        box-shadow: 0 0 0 0 rgb(105 110 208 / 50%);
    }

.btn-qty {
    width: 16px;
    height: 16px;
    padding: 0px;
    line-height: 0px;
}

.table-cart td, .table-cart th {
    padding: 5px 0px;
}

span.out-of-stock {
    font-size: 8px;
}

div.invoice p {
    margin: 0px;
}

div.invoice h5, div.invoice h6, div.invoice h1, div.invoice h2, div.invoice h3, div.invoice h4 {
    margin: 5px 0px;
}

.pull-right {
    float: right;
}


.invoice > div {
    display: inline-block;
}

.report-title {
    font-size: 16px;
}

.report-date {
    font-weight: normal;
    font-size: 12px;
}

.amountTotal {
    font-size: 24px;
    font-weight: bold;
}

.tab-content, tab-pane {
    padding: 1rem .25rem;
}

.form_errors {
    color: red;
    margin-top: 5px;
}

.form-group label span {
    color: red;
}

.swal2-popup .swal2-styled.swal2-confirm {
    background-color: #218838 !important;
}

.swal2-popup .swal2-styled.swal2-cancel {
    background-color: #c82333 !important;
}

table.fixedheader th {
    background-color: #688bab;
    color: white;
    position: sticky;
    z-index: 100;
    top: 0;
}

table.fixedheader td {
    padding: 3px;
    vertical-align: middle;
}

table.fixedheader th {
    padding-left: 3px;
    padding-right: 3px;
    vertical-align: middle;
}

.scrollable {
    height: 100%;
    overflow-y: auto;
}

.selectable-table tr:not(:first-child) {
    cursor: pointer;
}

    .selectable-table tr:not(:first-child):hover {
        background-color: #bbdbfa;
    }

    .selectable-table tr:not(:first-child).active {
        background-color: #bbdbfa;
    }

#divCategories, #divProducts, #divVariants, #divVariantOptionItems, #divOffers, #divOfferComponents, #divOfferComponentItems, #divOptions, #divOptionItems, #divComponents, #divComponentItems {
    height: 100%;
}

#tblComponentItemsFilter {
    height: 90%;
}

table.no-padding-td td {
    padding: 0px !important;
}


/* Digital Buy Start */

.container.digital {
    padding: 0px;
}

    .container.digital .row {
        padding:15px;
    }

.digital-buy-heading {
    margin-top: 12px;
    text-transform: uppercase;
}

.digital-header {
    height: 75px;
    padding: 10px 5px;
}

    .digital-header > .digital-buy-heading {
        margin-left: 125px;
    }

.img-logo-digital {
    height: 100%;
    float: left;
}

footer.digital-footer {
    text-align: center;
}

.digital-footer-text {
}

/* Digital Buy End */

.license-heading-success {
    background-color: forestgreen;
    padding: 5px 10px;
    color: white;
}

.license-heading-danger {
    background-color: red;
    color:white;
    padding: 5px 10px;
}
select {
    margin-top: 3px;
    margin-bottom: 3px;
}